Tag: gradle

Android Studio Javadoc: impossible de trouver un symbole

J'essaie de préparer et de télécharger ma bibliothèque Android vers Bintray et une partie de ce processus exécute la tâche javadoc suivante: task javadoc(type: Javadoc) { source = android.sourceSets.main.java.srcDirs classpath += project.files(android.getBootClasspath().join(File.pathSeparator)) } Cette tâche fait partie d'un script gradle plus grand ici: https://raw.githubusercontent.com/attwellBrian/JCenter/master/bintrayv1.gradle Lorsque la tâche javadoc s'exécute, les problèmes suivants se produisent: Toutes […]

Android Studio: Dépendances d'instantané Ne pas mettre à jour correctement

Je travaille avec Android Studio 8.9 J'ai un build.gradle avec la dépendance définie: compile ('my.program.commons:my-program-commons:0.0.2-SNAPSHOT@jar') Cette dépendance est stockée dans un dépôt privé Nexus Sonatype. Lorsque je modifie le code my.program.commons, je télécharge sur nexus. Le problème est que lorsque j'essaie de compiler contre le nouveau SNAPSHOT, le studio Android ne pourra pas prendre de […]

Impossible d'importer un projet sur studio Android

J'essaie d'utiliser cette bibliothèque J'ai ajouté compile 'net.rdrei.android.dirchooser:library:2.0@aar' Aux dépendances. Mon fichier de compilation de niveau supérieur // Top-level build file where you can add configuration options common to all sub-projects/modules. buildscript { repositories { mavenCentral() } dependencies { classpath 'com.android.tools.build:gradle:0.8.+' } } allprojects { repositories { mavenCentral() } } Et cela me donne l'erreur […]

Gradle ne génère pas une chaîne avec des citations

J'essaie d'inclure un champ personnalisé dans BuildConfig contenant la date de construction en utilisant cette fonction: def getDate() { def date = new Date() def formattedDate = date.format('yyyyMMddHHmmss') return formattedDate } Puis, dans defaultConfig, j'ai mis: buildConfigField "String", "BUILD_NUMBER", getDate() Le problème est que le champ généré par Gradle est: public static final String BUILD_NUMBER […]

Exécuter gradle's connectedAndroidTest sur un périphérique spécifique

Comment exécutez-vous LinkedAndroidTest sur un périphérique particulier? Je m'attends à quelque chose comme: ./gradlew connectedAndroidTest -DconnectedAndroidTest.device=XXXX Nous avons un certain nombre de périphériques connectés à notre serveur CI et je ne peux pas trouver de documentation sur la façon de cibler un périphérique connecté spécifique. connectedAndroidTest exécute actuellement des tests sur TOUS les périphériques connectés. […]

Gradle crée une défaillance en essayant d'utiliser Facebook SDK

J'essaie d'utiliser le SDK de Facebook dans un projet dans Android Studio. Je suis en train de suivre l'étape 3 de ce tutoriel. Lorsque j'essaie d'exécuter l'application, j'ai un "Gradle: l'exécution a échoué pour la tâche": FacebookApp: dexDebug '. " Erreur. Voici la sortie si l'erreur Gradle: Execution failed for task ':FacebookApp:dexDebug'. Échec de l'exécution […]

Gradle buildConfigField avec variable entière

Je voudrais définir une configuration de construction déposée où je peux utiliser une variable définie dans le script de gradle elle-même: def someVar = 512 android { … buildConfigField 'int', 'SOME_INT_FIELD', someVar } Mais ceci produit une erreur suivante: Erreur: (25, 0) Gradle DSL méthode introuvable: 'buildConfigField ()' Causes possibles: Le projet 'PROJET' peut utiliser […]

Android Studio SVN 1.8 Ce client est trop vieux pour travailler avec la copie de travail

En espérant que quelqu'un peut aider à … J'ai téléchargé SmartSVN et j'ai ouvert une copie de travail (projet Android). Il m'a demandé de mettre à niveau la copie de travail sur 1.8. Cela ne me pose aucun problème lors de l'utilisation du client svn. Cependant, j'ai eu besoin de mettre à niveau mon client […]

La version Gradle 1.10 est requise. La version actuelle est 2.2.1. Dans Android

J'ai eu un projet Android construit avec Android Studio et j'essaie d'importer et de l'exécuter sur mon Studio Android, mais face à l'erreur ci-dessous lors de la tentative de synchronisation du projet Failed to sync Gradle project 'project-android' Error:Gradle version 1.10 is required. Current version is 2.2.1. If using the gradle wrapper, try editing the […]

Comment définir la version gradle dans Android studio 1.3?

J'ai mis à jour le studio Android vers la version 1.3. Dans mon projet, j'ai besoin d'utiliser Gradle version 2.2.1 et de la version 1.0.0 d'Android and Gradle Plugin. Comment puis-je configurer Android studio pour utiliser gradle version 2.2.1 automatiquement? J'ai configuré les conditionnements de gradle wrapper à 2.2.1 et dans la structure du projet, […]

coAndroid est un fan Android de Google, tout sur les téléphones Android, Android Wear, Android Dev et Android Games Apps.